<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

//
class Dir
{
    //
    private $app;

    //
    public function __construct(){
        $this->app = App::getInstance();
    }

    //
    private function show_log(){
        $page = $this->app->request->get('page', 'wdash', '');
        $paged = $this->app->request->get('paged', 'absint', 1);
        $paged = max(1, $paged);

        $per_page = 20;
        $total = $this->app->dir_model->get_count();

        $paging = new Paging();
        $paging->set_args($total, $per_page);

        $list = $this->app->dir_model->get_all([
            'order' => 'id desc',
            'offset' => $per_page * ($paged - 1),
            'limit' => $per_page,
        ]);

        $action = get_action('delete_dir_log');
        $nonce = \wp_create_nonce($action);

        $this->app->display('dir_list', [
            'per_page' => $per_page,
            'paged' => $paged,
            'total' => $total,
            'list' => $list,
            'paging' => $paging,
            'action' => $action,
            'nonce' => $nonce,
            'page' => $page,
        ]);
    }
    
    //
    public function log(){
        $option = $this->app->request->get('option', 'striptags', '');

        if($option == 'execute'){
            $type = $this->app->request->get('type', 'striptags', '');
            $paged = $this->app->request->get('paged', 'posint', 1);
            $id_arr = $this->app->request->get('id_arr', 'absint', 0);

            $limit = 5;
            $has_next = false;

            if($type == 'all'){
                $task_list = $this->app->dir_model->get_all([
                    'order' => 'id',
                    'offset' => ($paged - 1) * $limit,
                    'limit' => $limit + 1,
                ]);

                if(count($task_list) > $limit){
                    $has_next = true;
                    array_pop($task_list);
                }
            }else{
                $task_list = [];
                foreach ($id_arr as $id){
                    $item = $this->app->dir_model->get_one([
                        'where' => ['id' => $id],
                    ]);

                    if($item){
                        $task_list[] = $item;
                    }
                }
            }

            $list = [];
            $id = 1;
            foreach ($task_list as $item){
                $li = $this->app->htmlBuilder->create_by_dir($item);
                $li['id'] = $id++;
                $li['path'] = $item['path'];

                $list[] = $li;
            }

            $this->app->display('dir_list_execute', [
                'list' => $list,
                'type' => $type,
                'paged' => $paged + 1,
                'has_next' => $has_next,
            ]);
        }else{
            $this->show_log();
        }
    }


}