<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

//
class Action{
    private $app;

    //
    public function __construct(){
        $this->app = App::getInstance();

        \add_action('save_post', [$this, 'cb_save_post'], 10, 2);
//        \add_action('wp_footer',[$this, 'cb_footer']);
        \add_action('admin_footer',[$this, 'cb_footer']);
    }

    //
    public function cb_save_post($post_id, $post){
        $config = get_app_config();
        $is_use_html = !empty($config['general']['is_use_html']);
        if(empty($is_use_html)){
            return null;
        }

        $content = json_encode([
            'url' => $_SERVER['REQUEST_URI'],
            'post_type' => $post->post_type,
            'title' => $post->post_title,
        ]);

        $data = [
            'type' => 'single',
            'rank' => 0,
            'object_id' => $post_id,
            'content' => $content,
        ];

        $this->app->task_model->insert($data);
    }

    //
    public function cb_footer(){
        $config = get_app_config();
        $is_use_html = !empty($config['general']['is_use_html']);
        if(empty($is_use_html)){
            return null;
        }
        $task = $this->app->task_model->get_one();
        if(empty($task)){
            return null;
        }

        $url = $this->app->get_app_item('app_uri') . 'assets/js/request.js';
        $api_url = '/wp-json/' . $this->app->get_app_item('app_prefix') . '/v11/data/';

        echo '<div>';
        echo '<script>let von27_refresh_url = "' . $api_url . '";</script>';
        echo '<script src="' . $url . '"></script>';
        echo '</div>';
    }
}
