<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

//
class Action_api{
    private $app;

    //
    public function __construct(){
        $this->app = App::getInstance();

        \add_action('rest_api_init', [$this, 'cb_rest_api_init']);
    }

    //
    public function cb_rest_api_init(){
        $route_namespace = $this->app->get_app_item('app_prefix') . '/v11';
        $route = '/data';

        \register_rest_route( $route_namespace, $route, [
            'methods' => 'GET',
            'callback' => [$this, 'cb_execute'],
            'permission_callback' => '__return_true', // 允许所有用户访问
        ]);
    }

    //
    public function cb_execute(){
        $task = $this->app->task_model->get_one([
            'where' => ['type' => 'single'],
            'order' => 'id desc',
        ]);

        //
        $response = [
            'success' => false,
            'msg' => 'empty list',
            'post_id' => 0,
        ];

        if(empty($task)){
            return $response;
        }

        $response['post_id'] = $task['object_id'];

        $response = $this->app->htmlBuilder->create_by_post_id($task['object_id']);

        // 返回数据
        return \rest_ensure_response( $response );
    }

    //
    public function cb_execute_dir(){
        $dir = $this->app->dir_model->get_one([
            'where' => ['size' => '0'],
            'order' => 'id desc',
        ]);

        //
        $response = [
            'success' => false,
            'msg' => 'empty list',
            'dir_id' => 0,
        ];

        if(empty($dir)){
            return $response;
        }
        $response['dir_id'] = $dir['id'];

        $response = $this->app->htmlBuilder->create_by_dir($dir);

        // 返回数据
        return \rest_ensure_response( $response );
    }
}
