<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

class Plugin_install{
    //
    public function __construct($file)
    {
        register_activation_hook( $file, [__CLASS__, 'cb_activation']);
        register_deactivation_hook( $file, [__CLASS__, 'cb_deactivation']);
        register_uninstall_hook( $file, [__CLASS__, 'cb_uninstall']);
    }

    //
    public static function cb_activation(){
        global $wpdb;
        $charset_collate = $wpdb->get_charset_collate();

        $app = App::getInstance();
        $app->log_model->load_dbDelta();

        $table =  $app->log_model->get_table();;
        $sql = "CREATE TABLE IF NOT EXISTS {$table}(
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `status` varchar(127) COLLATE utf8mb4_general_ci NOT NULL,
  `title` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `content` text COLLATE utf8mb4_general_ci NOT NULL,
  `crtime` datetime NOT NULL,
  `uptime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) {$charset_collate}";
        \dbDelta($sql);

        $table = $app->task_model->get_table();
        $sql = "CREATE TABLE IF NOT EXISTS {$table}(
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rank` int(11) NOT NULL,
  `type` varchar(127) COLLATE utf8mb4_general_ci NOT NULL,
  `object_id` bigint(20) NOT NULL,
  `content` text COLLATE utf8mb4_general_ci NOT NULL,
  `crtime` datetime NOT NULL,
  `uptime` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `object_id` (`object_id`),
  KEY `rank` (`rank`)
) {$charset_collate}";
        \dbDelta($sql);

        $table = $app->file_model->get_table();
        $sql = "CREATE TABLE IF NOT EXISTS {$table}(
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `write_count` int(11) NOT NULL,
  `size` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `url` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `title` varchar(255) COLLATE utf8mb4_general_ci NOT NULL,
  `path` text COLLATE utf8mb4_general_ci NOT NULL,
  `crtime` datetime NOT NULL,
  `uptime` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`)
) {$charset_collate}";
        \dbDelta($sql);

        $table = $app->dir_model->get_table();
        $sql = "CREATE TABLE IF NOT EXISTS {$table}(
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `size` int(11) NOT NULL,
  `status_code` int(11) NOT NULL,
  `update_timestamp` int(11) NOT NULL,
  `sub_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `url_hash` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `path` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `crtime` datetime NOT NULL,
  `uptime` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `url_hash` (`url_hash`),
  KEY `size` (`size`)
) {$charset_collate}";
        \dbDelta($sql);
    }

    //
    public static function cb_deactivation(){

    }

    //
    public static function cb_uninstall(){

    }

}
