<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

//
class TaskManage
{
    //
    private $app;

    //
    public function __construct(){
        $this->app = App::getInstance();
    }

    //
    public function get_date_range($date_start, $date_end, $type){
        $list = $this->app->posts_model->get_all([
            'columns' => 'ID',
            'where' => [
                'post_modified >=' => $date_start,
                'post_modified <=' => $date_end,
                'post_status' => 'publish',
            ],
            'order' => 'ID desc',
        ]);

        $count = count($list);
        if($count > 0){
            $ln = 1;
            foreach ($list as $post){
                $content = json_encode([
                    'type' => $type,
                    'title' => '时间范围：' . $date_start . '-' . $date_end . '，第 ' . ($ln++) . ' 个'
                ]);

                $data = [
                    'type' => 'single',
                    'rank' => 0,
                    'object_id' => $post['ID'],
                    'content' => $content,
                ];

                $this->app->task_model->insert($data);
            }
        }

        return $count;
    }

    //
    public function get_id_list_range($start_id, $end_id, $type){
        $min = min($start_id, $end_id);
        $max = max($start_id, $end_id);

        $list = $this->app->posts_model->get_all([
            'columns' => 'ID',
            'where' => [
                'ID >=' => $min,
                'ID <=' => $max,
                'post_status' => 'publish',
            ],
            'order' => 'ID desc',
        ]);

        $count = count($list);
        if($count > 0){
            $ln = 1;
            foreach ($list as $post){
                $content = json_encode([
                    'type' => $type,
                    'title' => 'ID 范围：' . $start_id . '-' . $end_id . '，第 ' . ($ln++) . ' 个'
                ]);

                $data = [
                    'type' => 'single',
                    'rank' => 0,
                    'object_id' => $post['ID'],
                    'content' => $content,
                ];

                $this->app->task_model->insert($data);
            }
        }

        return $count;
    }
}