<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

//
class Options_model extends Model
{
    protected $table = 'options';
    protected $is_dev_table = false;
    private $setting = [];
    const THEME_OPTION_NAME = 'config';

    //
    public function get_app_setting(){
        if(empty($this->setting)){
            $key = $this->get_app_key();
            $this->setting = \get_option($key) ? : [];
            $this->setting['_did'] = 1;
        }

        return $this->setting;
    }

    //
    public function set_app_setting($value){
        $key = $this->get_app_key();

        return \update_option($key, $value);
    }

    //
    private function get_app_key(){
        return App::getInstance()->get_app_item('app_prefix') . self::THEME_OPTION_NAME;
    }
}