<?php

namespace Wp618\Static;

if (!defined('ABSPATH')) exit;

?>

<div class="wrap">
    <h1 class="wp-heading-inline">插件激活</h1>
    <hr class="wp-header-end">

    <div class="notice is-dismissible notice-success hidden">
        <p><strong>设置已保存。</strong></p>
        <button type="button" class="notice-dismiss"></button>
    </div>

    <div class="notice is-dismissible notice-error hidden">
        <p><strong></strong></p>
        <button type="button" class="notice-dismiss"></button>
    </div>

    <nav class="nav-tab-wrapper wp-clearfix">
        <a href="#" data-target="#tab1" class="nav-tab nav-tab-active">激活</a>
        <a href="#" data-target="#tab2" class="nav-tab">关于我们</a>
    </nav>

    <div>
        <form method="post" novalidate="novalidate" id="j-form">
            <input type="hidden" name="action" value="<?php echo $action; ?>">
            <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
            <input type="hidden" name="option" value="<?php echo $option; ?>">
            <div id="tab1">
                <table class="form-table" role="presentation">
                    <tbody>
                    <tr>
                        <th scope="row">激活码</th>
                        <td>
                            <input type="text" name="active_code" value=""
                                   class="regular-text">
                            <p>
                                请输入激活码，有问题可以联系站长：<br>
                                微信：<a href="https://wp618.com/contact" target="_blank">dps2088168</a>
                                <br>
                                QQ : 1042933644
                            </p>
                        </td>
                    </tr>
                    </tbody>
                </table>

                <p class="submit">
                    <input type="submit" name="submit" class="button button-primary" value="激活">
                    <span class="spinner" style="position: relative;bottom:4px;float: none;"></span>
                </p>
            </div>
            <div id="tab2" style="display:none">
                <?php
                include __DIR__ . '/part/about.php';
                ?>
            </div>
        </form>
    </div>
</div>

<?php
include_backend_upload_script();
?>

<script>
    jQuery(function ($) {
        $('.nav-tab-wrapper .nav-tab').click(function () {
            if ($(this).hasClass('nav-tab-active')) {
                return false;
            }

            let id = $(this).data('target');
            let $target = $(id);
            if ($target.length) {
                $(this).addClass('nav-tab-active').siblings().removeClass('nav-tab-active')
                $target.show().siblings().hide();
                return false;
            }
        });

        //
        $('input[type="submit"]').click(function (e){
            e.preventDefault();

            $('.notice').find('p strong').text('...');

            let $that = $(this).attr('disabled', true);
            let $spinner = $('span.spinner').css('visibility', 'visible');
            let data = $('#j-form').serialize();

            $.post(ajaxurl, data, function(json){
                let $notice = null;
                if(json.success && json.success === true){
                    $notice = $('.notice-success');
                }else{
                    $notice = $('.notice-error');
                }

                $notice.find('p strong').text(json.data.msg);
                $notice.show();
                $that.attr('disabled', false);
                $spinner.css('visibility', 'hidden');

                $('html,body').animate({scrollTop: $('h1').offset().top - 100},1000);
            }, 'json');
        });
        $('.notice button.notice-dismiss').click(function (){
            $(this).parent().hide(1000);
        });
    });
</script>