<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

?>

<style>
    form tr.line {
        height: 1px;
        background-color: #e5e5e5;
    }
    form tr.line td{
        margin: 0;
        padding: 0;
    }
    form td input.post-num{
        width: 165px;
    }
</style>

<div class="wrap">
    <h1 class="wp-heading-inline">添加任务</h1>
    <hr class="wp-header-end">

    <div class="notice is-dismissible notice-success hidden">
        <p><strong>设置已保存。</strong></p>
        <button type="button" class="notice-dismiss"></button>
    </div>

    <div class="notice is-dismissible notice-error hidden">
        <p><strong></strong></p>
        <button type="button" class="notice-dismiss"></button>
    </div>

    <nav class="nav-tab-wrapper wp-clearfix">
        <a href="#" data-target="#tab1" class="nav-tab nav-tab-active">添加任务</a>
        <a href="#" data-target="#tab2" class="nav-tab">关于我们</a>
    </nav>

    <div>
        <form method="post" novalidate="novalidate" id="j-form">
            <input type="hidden" name="action" value="<?php echo $action; ?>">
            <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
            <input type="hidden" name="type" value="">
            <div id="tab1">
                <table class="form-table" role="presentation">
                    <tbody>
                    <tr>
                        <th scope="row">指定 ID</th>
                        <td>
                            <input type="text" value="" name="one_id" class="regular-text">

                            <p class="submit">
                                <input type="button" name="submit_one_id" class="button button-primary" value="添加">
                                <span class="spinner" style="position: relative;bottom:4px;float: none;"></span>
                            </p>
                        </td>
                    </tr>
                    <tr class="line">
                        <td></td>
                        <td></td>
                    </tr>
                    <tr>
                        <th scope="row">ID 范围</th>
                        <td>
                            <input type="text" value="" name="id_range_start" class="regular-text post-num">
                            -
                            <input type="text" value="" name="id_range_end" class="regular-text post-num">
                            <p>小 ID 也可以填后面，如果一个未填，默认为 0；至少填一个</p>

                            <p class="submit">
                                <input type="button" name="submit_id_range" class="button button-primary" value="添加">
                                <span class="spinner" style="position: relative;bottom:4px;float: none;"></span>
                            </p>
                        </td>
                    </tr>
                    <tr class="line">
                        <td></td>
                        <td></td>
                    </tr>
                    <tr>
                        <th scope="row">最近 N 小时</th>
                        <td>
                            <input type="text" value="24" name="hours" class="regular-text">
                            <p>生成 N 小时内有更新的内容</p>
                            <p class="submit">
                                <input type="button" name="submit_hour" class="button button-primary" value="添加">
                                <span class="spinner" style="position: relative;bottom:4px;float: none;"></span>
                            </p>
                        </td>
                    </tr>
                    <tr class="line">
                        <td></td>
                        <td></td>
                    </tr>
                    <tr>
                        <th scope="row">时间范围</th>
                        <td>
                            <input type="date" value="<?php echo date('Y-m-d', time() - 86400 * 2); ?>"
                                   name="date_start" class="regular-text post-num">
                            -
                            <input type="date" value="<?php echo date('Y-m-d'); ?>"
                                   name="date_end" class="regular-text post-num">
                            <p>
                                根据修改时间查找，如果数据量较多（超过 10 万），由于表结构的设计，找出时间范围内的内容可能会比较慢
                            </p>

                            <p class="submit">
                                <input type="button" name="submit_date_range" class="button button-primary" value="添加">
                                <span class="spinner" style="position: relative;bottom:4px;float: none;"></span>
                            </p>
                        </td>
                    </tr>
                    <tr class="line">
                        <td></td>
                        <td></td>
                    </tr>
                    <tr>
                        <th scope="row">全部</th>
                        <td>
                            <p>这里会全部生成，请确定后再点！</p>
                            <p class="submit">
                                <input type="button" name="submit_all" class="button button-primary" value="添加">
                                <span class="spinner" style="position: relative;bottom:4px;float: none;"></span>
                            </p>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div id="tab2" style="display:none">
                <?php
                include __DIR__ . '/part/about.php';
                ?>
            </div>
        </form>
    </div>
</div>

<script>
    jQuery(function ($) {
        $('.nav-tab-wrapper .nav-tab').click(function () {
            if ($(this).hasClass('nav-tab-active')) {
                return false;
            }

            let id = $(this).data('target');
            let $target = $(id);
            if ($target.length) {
                $(this).addClass('nav-tab-active').siblings().removeClass('nav-tab-active')
                $target.show().siblings().hide();
                return false;
            }
        });

        //
        $('#j-form input[type="button"]').click(function (e){
            e.preventDefault();

            $('.notice').find('p strong').text('...');

            let $that = $(this).attr('disabled', true);
            let $spinner = $(this).next().css('visibility', 'visible');
            let $jform = $('#j-form');
            $jform.find('[name="type"]').val($that.attr('name'));
            let data = $jform.serialize();

            $.post(ajaxurl, data, function(json){
                let $notice = null;
                if(json.success && json.success === true){
                    $notice = $('.notice-success');
                }else{
                    $notice = $('.notice-error');
                }

                $notice.find('p strong').text(json.data.msg);
                $notice.show();
                $that.attr('disabled', false);
                $spinner.css('visibility', 'hidden');

                $('html,body').animate({scrollTop: $('h1').offset().top - 100},1000);
            }, 'json');
        });
        $('.notice button.notice-dismiss').click(function (){
            $(this).parent().hide(1000);
        });
    });
</script>