<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap">
    <h1>文件列表</h1>
    <hr class="wp-header-end">

    <form id="j-form" method="get" action="?">
        <div class="tablenav top">
            <div class="alignleft actions bulkactions">
                <input type="hidden" name="action" value="<?php echo $action; ?>">
                <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
                <input type="button" id="j-delete-selected" class="button action" value="删除所选">
                <input type="button" id="j-delete-all" class="button action" value="删除全部"
                       style="margin-left: 10px">
                <input type="hidden" name="type" value="">
                <input type="hidden" name="option" value="delete">
                <input type="hidden" name="page" value="<?php echo esc_attr($page); ?>">
            </div>

            <?php
            $paging->render('top');
            ?>
            <br class="clear">
        </div>

        <table class="wp-list-table widefat fixed striped table-view-list pages">
            <thead>
            <tr>
                <th scope="col" class="manage-column column-primary desc" style="width:50px;">
                    <input type="checkbox" id="j-all-checkbox" onclick="jQuery('.j-checkbox').prop('checked', this.checked);"
                           style="margin:0;vertical-align: unset">
                </th>
                <th scope="col" class="manage-column" style="width:50px">
                    <strong>ID</strong>
                </th>
                <th scope="col" class="manage-column" style="width:50px">
                    <strong>大小</strong>
                </th>
                <th scope="col" class="manage-column" style="width:100px">
                    <strong>生成次数</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>标题</strong>
                </th>
                <th scope="col" class="manage-column asc">
                    <strong>时间</strong>
                </th>
            </tr>
            </thead>

            <tbody id="the-list">
            <?php
            foreach ($list as $item){
            ?>
            <tr class="iedit author-self level-0 post-2 type-page status-publish hentry">
                <td class="title column-title has-row-actions column-primary">
                    <input type="checkbox" class="j-checkbox" name="id_arr[]" value="<?php echo $item['id']; ?>">
                </td>
                <td class="author">
                    <?php echo $item['id']; ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['size']); ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['write_count']); ?>
                </td>
                <td class="author">
                    <?php echo \ZhangZhou\html_a($item['url'] . '?wp_html=1', esc_html($item['title']), 1); ?>
                </td>
                <td class="date">
                    <?php echo esc_html($item['uptime']); ?>
                </td>
            </tr>
            <?php
            }
            ?>
            </tbody>
        </table>
        <div class="tablenav bottom">
            <?php
            $paging->render('bottom');
            ?>
            <br class="clear">
        </div>
    </form>
</div>

<script>
    jQuery(function ($) {

        //
        $('#j-delete-selected').click(function (){
            let id_list = [];
            let $checkbox = $('.j-checkbox:checked');

            $checkbox.each(function(){
                id_list.push($(this).val());
            });

            if(id_list.length < 1){
                alert('请选择需要删除的内容');
            }else{
                let $jfrom = $('#j-form')
                $jfrom.find('input[name="type"]').val('selected');
                $jfrom.submit();
            }
        });

        //
        $('#j-delete-all').click(function (){
            if(confirm('确定全部删除已经生成的静态文件吗？')){
                let $jfrom = $('#j-form')
                $jfrom.find('input[name="type"]').val('all');
                $jfrom.submit();
            }
        });
    });
</script>