<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap">
    <h1>生成日志</h1>
    <hr class="wp-header-end">

    <form id="posts-filter" method="get">
        <?php
        foreach ($_GET as $key => $val){
            if($key == 'paged'){
                continue;
            }
            echo '<input type="hidden" name="' . esc_attr($key) . '" value="' . esc_attr($val) . '">';
        }
        ?>
        <div class="tablenav top">
            <div class="alignleft actions bulkactions">
                <input type="hidden" name="action" value="<?php echo $action; ?>">
                <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
                <input type="button" id="j-delete-all" class="button action" value="清空日志">
            </div>

            <?php
            $paging->render('top');
            ?>
            <br class="clear">
        </div>

        <table class="wp-list-table widefat fixed striped table-view-list pages">
            <thead>
            <tr>
                <th scope="col" class="manage-column column-primary desc" style="width:50px">
                    <strong>ID</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>状态</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>标题</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>内容</strong>
                </th>
                <th scope="col" class="manage-column asc">
                    <strong>时间</strong>
                </th>
            </tr>
            </thead>

            <tbody id="the-list">
            <?php
            foreach ($list as $item){
            ?>
            <tr class="iedit author-self level-0 post-2 type-page status-publish hentry">
                <td class="title column-title has-row-actions column-primary">
                    <?php echo $item['id']; ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['status']); ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['title']); ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['content']); ?>
                </td>
                <td class="date">
                    <?php echo esc_html($item['uptime']); ?>
                </td>
            </tr>
            <?php
            }
            ?>
            </tbody>
        </table>
        <div class="tablenav bottom">
            <?php
            $paging->render('bottom');
            ?>
            <br class="clear">
        </div>
    </form>
</div>

<script>
    jQuery(function ($) {
        //
        $('#j-delete-all').click(function (){
            let data = {
                action: $('input[name="action"]').val(),
                nonce: $('input[name="nonce"]').val(),
                type: 'all'
            };

            if(confirm('确定清空日志吗？')){
                $.post(ajaxurl, data, function(res){
                    if(res.success){
                        $('#the-list tr').remove();
                    }
                }, 'json');

            }
        });
    });
</script>