<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap">
    <h1 class="wp-heading-inline">静态设置</h1>
    <hr class="wp-header-end">

    <div class="notice is-dismissible notice-success hidden">
        <p><strong>设置已保存。</strong></p>
        <button type="button" class="notice-dismiss"></button>
    </div>

    <div class="notice is-dismissible notice-error hidden">
        <p><strong></strong></p>
        <button type="button" class="notice-dismiss"></button>
    </div>

    <nav class="nav-tab-wrapper wp-clearfix">
        <a href="#" data-target="#tab1" class="nav-tab nav-tab-active">设置选项</a>
        <a href="#" data-target="#tab3" class="nav-tab">关于我们</a>
    </nav>

    <div>
        <form method="post" novalidate="novalidate" id="j-form">
            <input type="hidden" name="action" value="<?php echo $action; ?>">
            <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
            <input type="hidden" name="option" value="<?php echo $option; ?>">
            <div id="tab1">
                <table class="form-table" role="presentation">
                    <tbody>
                    <tr>
                        <th scope="row">状态</th>
                        <td>
                            <?php
                            $is_writable = is_writable($_SERVER['DOCUMENT_ROOT']);
                            if (!$is_writable) {
                                echo "<p style='color: red'>根目录不可写入，请开启权限后再操作！</p>";
                            }else{
                                $checked = $set['is_use_html'] == 1 ? ' checked' : '';
                            ?>
                                <fieldset>
                                    <legend class="screen-reader-text"><span>开启 html 静态化</span></legend>
                                    <label for="is_use_html">
                                        <input type="checkbox" name="is_use_html" id="is_use_html"
                                               value="1"
                                            <?php echo $checked ?>>
                                        开启 html 静态化
                                    </label>
                                </fieldset>
                            <?php
                            }
                            ?>
                        </td>
                    </tr>
                    </tbody>
                </table>

                <?php
                if($is_writable){
                ?>
                <p class="submit">
                    <input type="submit" name="submit" class="button button-primary" value="保存更改">
                    <span class="spinner" style="position: relative;bottom:4px;float: none;"></span>
                </p>
                <?php } ?>
            </div>
            <div id="tab3" style="display:none">
                <?php
                include __DIR__ . '/part/about.php';
                ?>
            </div>
        </form>
    </div>
</div>

<script>
    jQuery(function ($) {
        $('.nav-tab-wrapper .nav-tab').click(function () {
            if ($(this).hasClass('nav-tab-active')) {
                return false;
            }

            let id = $(this).data('target');
            let $target = $(id);
            if ($target.length) {
                $(this).addClass('nav-tab-active').siblings().removeClass('nav-tab-active')
                $target.show().siblings().hide();
                return false;
            }
        });

        //
        $('input[type="submit"]').click(function (e){
            e.preventDefault();

            $('.notice').find('p strong').text('...');

            let $that = $(this).attr('disabled', true);
            let $spinner = $('span.spinner').css('visibility', 'visible');
            let data = $('#j-form').serialize();

            $.post(ajaxurl, data, function(json){
                let $notice = null;
                if(json.success && json.success === true){
                    $notice = $('.notice-success');
                }else{
                    $notice = $('.notice-error');
                }

                $notice.find('p strong').text(json.data.msg);
                $notice.show();
                $that.attr('disabled', false);
                $spinner.css('visibility', 'hidden');

                $('html,body').animate({scrollTop: $('h1').offset().top - 100},1000);
            }, 'json');
        });
        $('.notice button.notice-dismiss').click(function (){
            $(this).parent().hide(1000);
        });
    });
</script>