<?php

namespace Wp618\Static;

if ( !defined( 'ABSPATH' ) ) exit;

?>

<div class="wrap">
    <h1>任务列表</h1>
    <hr class="wp-header-end">

    <form id="j-form" method="get">
        <div class="tablenav top">
            <div class="alignleft actions bulkactions">
                <input type="hidden" name="option">
                <input type="hidden" name="type">
                <input type="hidden" name="page" value="<?php echo $page; ?>">
                <input type="hidden" name="action" value="<?php echo $action; ?>">
                <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
                <input type="button" id="j-delete-selected" class="button action" value="删除所选">
                <input type="button" id="j-delete-all" class="button action" value="清空任务">
                <input type="button" id="j-execute-selected" class="button action" value="生成所选"
                       style="margin-left: 10px">
                <input type="button" id="j-execute-all" class="button action" value="生成全部">
            </div>

            <?php
            $paging->render('top');
            ?>
            <br class="clear">
        </div>

        <table class="wp-list-table widefat fixed striped table-view-list pages">
            <thead>
            <tr>
                <th scope="col" class="manage-column column-primary desc" style="width:50px;">
                    <input type="checkbox" id="j-all-checkbox" onclick="jQuery('.j-checkbox').prop('checked', this.checked);"
                           style="margin:0;vertical-align: unset">
                </th>
                <th scope="col" class="manage-column" style="width:50px">
                    <strong>ID</strong>
                </th>
                <th scope="col" class="manage-column" style="width:50px">
                    <strong>Rank</strong>
                </th>
                <th scope="col" class="manage-column" style="width:100px">
                    <strong>Type</strong>
                </th>
                <th scope="col" class="manage-column" style="width:100px">
                    <strong>对象 ID</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>内容</strong>
                </th>
                <th scope="col" class="manage-column asc">
                    <strong>时间</strong>
                </th>
            </tr>
            </thead>

            <tbody id="the-list">
            <?php
            foreach ($list as $item){
                $json = json_decode($item['content'], true);
                $title = isset($json['title']) ? $json['title'] : '';
                if(empty($title) && isset($json['start_id'])){
                    $title = '生成：' . $json['start_id'] . '-' . $json['end_id'] . '，即将生成: '. $json['current_id'];
                    $title .= '，生成数量：' . $json['finish_count'] . '，最近：' . $json['last_time'];
                }
            ?>
            <tr class="iedit author-self level-0 post-2 type-page status-publish hentry">
                <td class="title column-title has-row-actions column-primary">
                    <input type="checkbox" name="id_arr[]" class="j-checkbox" value="<?php echo $item['id']; ?>">
                </td>
                <td class="author">
                    <?php echo $item['id']; ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['rank']); ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['type']); ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['object_id']); ?>
                </td>
                <td class="author">
                    <?php echo esc_html($title); ?>
                </td>
                <td class="date">
                    <?php echo esc_html($item['uptime']); ?>
                </td>
            </tr>
            <?php
            }
            ?>
            </tbody>
        </table>
        <div class="tablenav bottom">
            <?php
            $paging->render('bottom');
            ?>
            <br class="clear">
        </div>
    </form>
</div>

<script>
    jQuery(function ($) {
        $('.j-checkbox').click(function (){
            let check = true;
            $('.j-checkbox').each(function(){
                if(!$(this).prop('checked')) {
                    check = false;
                }
            });

            $('#j-all-checkbox').prop('checked', check);
        });

        //
        $('#j-delete-selected').click(function (){
            let id_list = [];
            let $checkbox = $('.j-checkbox:checked');
            let $trs = $checkbox.parents('tr');

            $checkbox.each(function(){
                id_list.push($(this).val());
            });
            
            let data = {
                action: $('input[name="action"]').val(),
                nonce: $('input[name="nonce"]').val(),
                ids: id_list.join(',')
            };

            if(id_list.length < 1){
                alert('请选择需要删除的内容');
            }else{
                if(confirm('确定要删除这 ' + id_list.length + ' 条任务吗？')){
                    $.post(ajaxurl, data, function(res){
                        if(res.success){
                            $trs.remove();
                        }
                    }, 'json');

                }
            }
        });

        //
        $('#j-delete-all').click(function (){
            let data = {
                action: $('input[name="action"]').val(),
                nonce: $('input[name="nonce"]').val(),
                type: 'all'
            };

            if(confirm('确定清空任务吗？')){
                $.post(ajaxurl, data, function(res){
                    if(res.success){
                        $('#the-list tr').remove();
                    }
                }, 'json');

            }
        });

        //
        $('#j-execute-selected').click(function (){
            let id_list = [];
            let $checkbox = $('.j-checkbox:checked');

            $checkbox.each(function(){
                id_list.push($(this).val());
            });

            if(id_list.length < 1){
                alert('请选择需要生成的内容');
            }else{
                $('input[name="option"]').val('execute');
                $('#j-form').submit();
            }
        });

        //
        $('#j-execute-all').click(function (){
            if(confirm('马上生成全部任务？')){
                $('input[name="option"]').val('execute');
                $('input[name="type"]').val('all');
                $('#j-form').submit();
            }
        });
    });
</script>